﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="RadSchedulerXMLExample.aspx.cs" Inherits="RadSchedulerXMLExample" %>
<%@ Register TagPrefix="uc1" TagName="advancedinsert" Src="AdvancedForm.ascx" %>" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
	<telerik:RadStyleSheetManager ID="RadStyleSheetManager1" runat="server" />
</head>
<body>
    <form id="form1" runat="server">
	<telerik:RadScriptManager ID="RadScriptManager1" runat="server">
		<Scripts>
			<%--Needed for JavaScript IntelliSense in VS2010--%>
			<%--For VS2008 replace RadScriptManager with ScriptManager--%>
			<asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.Core.js" />
			<asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQuery.js" />
			<asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQueryInclude.js" />
		</Scripts>
	</telerik:RadScriptManager>
	<script type="text/javascript">
		//Put your JavaScript code here.
    </script>
	<telerik:RadAjaxManager ID="RadAjaxManager1" runat="server">
	    <AjaxSettings>
	        <telerik:AjaxSetting AjaxControlID="RadScheduler1">
	            <UpdatedControls>
	                <telerik:AjaxUpdatedControl ControlID="RadScheduler1" />
	            </UpdatedControls>
	        </telerik:AjaxSetting>
	    </AjaxSettings>
	</telerik:RadAjaxManager>
    <div class="exampleContainer">
    <telerik:RadScheduler ID="RadScheduler1" runat="server" DataDescriptionField="LastName"
        DataEndField="ApptEnd" DataKeyField="ScheduleID" DataStartField="ApptDate" DataSubjectField="Subject"
        DayEndTime="18:00:00" DayStartTime="08:00:00" SelectedView="WeekView" EditFormDateFormat="M/d/yyyy"
        EditFormTimeFormat="h:mm tt" AllowDelete="False" AllowEdit="False" AllowInsert="True"
        Height="">
        <AdvancedForm Modal="true" Width="600" />
        <AdvancedEditTemplate>
            <div class="rsAdvancedEdit" style="position: relative; border: 1px solid black; background-color: white;
                height: auto;">
                <asp:Label ID="Label1" runat="server" Text="Edit Template"></asp:Label>
                Test advanced Edit template
            </div>
        </AdvancedEditTemplate>
        <AdvancedInsertTemplate>
            <uc1:advancedinsert id="advInsert" runat="server" />
        </AdvancedInsertTemplate>
        
        <TimeSlotContextMenuSettings EnableDefault="True" />
        <AppointmentContextMenuSettings EnableDefault="True" />
        <ExportSettings OpenInNewWindow="True">
        </ExportSettings>
    </telerik:RadScheduler> 
    <table width="100%">
    </table>
    </form>
</body>
</html>
